/*
 *  Envelope.h
 *  audioOutputExample
 *
 *  Created by Zach Gage on 4/19/11.
 *  Copyright 2011 stfj. All rights reserved.
 *
 */

#include "ofMain.h"

class Envelope{
	
	public:
	
	Envelope();
	~Envelope();
	void setup(int tableSize, ofRectangle _rect); //defaults to 32 samples
	void setTableValue(int index, float value); //sets a specific value in the envelope, envelope defaults to a sin wave
	float getEnvelopeValue(float pct); // returns the value at the specified percentage
	
	void draw();
	
	int getTableSize();
    void createDefaultEnvelope(); //fills the envelope with default values (sin wave)

    void makeDrawEnvelope(int x, int y);
    
    ofRectangle rect;
    

protected:
    float * table;
	int size;
	
};