#ifndef _TEST_APP
#define _TEST_APP


#include "ofMain.h"
#include "Envelope.h"
#include "ofxControlPanel.h"

class testApp : public ofBaseApp{

	public:


		void setup();
		void update();
		void draw();

		void keyPressed  (int key);
		void keyReleased(int key);
		void mouseMoved(int x, int y );
		void mouseDragged(int x, int y, int button);
		void mousePressed(int x, int y, int button);
		void mouseReleased(int x, int y, int button);
		void windowResized(int w, int h);

		void audioRequested 	(float * input, int bufferSize, int nChannels);

		float		frequency;
		float		position;
		float		positionAdder;
	
		Envelope myEnvelope;
		float envelopePct; // the location we are in the envelope
		float envelopePctAdder; //how much we add to the envelope for each sample
		float envelopeLength; //how long our envelope will be
	
		ofxControlPanel  panel;
};

#endif
